Page MenuHomePhabricator

Cross-wiki upload tool fails to add == {{int:filedesc}} == or == {{int:license-header}} ==
Closed, ResolvedPublic1 Estimated Story Points

Description

The new upload (Cross-wiki upload from - Files uploaded from inside the editor on other wikis) tool is not adding headers. UploadWizard is doing this, for example.

For example:

{{Information
|description={{de|Example}}
|date=2015-11-05
|source={{own}}
|author=Example
}}


{{self|cc-by-sa-4.0}}

But it should be:

== {{int:filedesc}} ==
{{Information
|description={{de|Example}}
|date=2015-11-05
|source={{own}}
|author=Example
}}


== {{int:license-header}} ==
{{self|cc-by-sa-4.0}}

Please fix ASAP and thanks in advice :-)

Event Timeline

Steinsplitter raised the priority of this task from to High.
Steinsplitter updated the task description. (Show Details)
Steinsplitter added a subscriber: Steinsplitter.
Restricted Application added projects: VisualEditor, Multimedia. · View Herald TranscriptNov 5 2015, 4:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Steinsplitter updated the task description. (Show Details)Nov 5 2015, 4:40 PM
Steinsplitter set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptNov 5 2015, 4:40 PM
Steinsplitter updated the task description. (Show Details)Nov 5 2015, 5:03 PM
Steinsplitter moved this task from Incoming to Uploading on the Commons board.
Jdforrester-WMF renamed this task from Cross-wiki upload from is not adding == {{int:license-header}} == to Cross-wiki upload tool fails to add == {{int:filedesc}} == or == {{int:license-header}} ==.Nov 5 2015, 5:19 PM
Jdforrester-WMF updated the task description. (Show Details)
matmarex claimed this task.Nov 5 2015, 6:10 PM

Change 251294 had a related patch set uploaded (by Bartosz Dziewoński):
mw.ForeignStructuredUpload: Add some header to file description page

https://gerrit.wikimedia.org/r/251294

Jdforrester-WMF moved this task from Untriaged to Done on the Multimedia board.Nov 5 2015, 6:23 PM

Change 251294 merged by jenkins-bot:
mw.ForeignStructuredUpload: Add some headers to file description page

https://gerrit.wikimedia.org/r/251294

Change 251301 had a related patch set uploaded (by Jforrester):
mw.ForeignStructuredUpload: Add some headers to file description page

https://gerrit.wikimedia.org/r/251301

Change 251301 merged by jenkins-bot:
mw.ForeignStructuredUpload: Add some headers to file description page

https://gerrit.wikimedia.org/r/251301

Jdforrester-WMF closed this task as Resolved.Nov 6 2015, 1:27 AM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.

Fixed and deployed. @Steinsplitter, if you want my help in cleaning up the uploads affected by this bug, let me know (preferably file another task and assign to me) and give MatmaBot bot rights :)